// Code generated by protoc-gen-go. DO NOT EDIT.
// versions:
// 	protoc-gen-go v1.25.0
// 	protoc        v3.13.0
// source: v1/events.proto

package v1

import (
	proto "github.com/golang/protobuf/proto"
	status "google.golang.org/genproto/googleapis/rpc/status"
	protoreflect "google.golang.org/protobuf/reflect/protoreflect"
	protoimpl "google.golang.org/protobuf/runtime/protoimpl"
	reflect "reflect"
	sync "sync"
)

const (
	// Verify that this generated code is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(20 - protoimpl.MinVersion)
	// Verify that runtime/protoimpl is sufficiently up-to-date.
	_ = protoimpl.EnforceVersion(protoimpl.MaxVersion - 20)
)

// This is a compile-time assertion that a sufficiently up-to-date version
// of the legacy proto package is being used.
const _ = proto.ProtoPackageIsVersion4

type FenceAlertEvent struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uuid        string    `protobuf:"bytes,1,opt,name=uuid,proto3" json:"uuid,omitempty"`
	ChannelUuid string    `protobuf:"bytes,2,opt,name=channel_uuid,json=channelUuid,proto3" json:"channel_uuid,omitempty"`
	ChannelName string    `protobuf:"bytes,3,opt,name=channel_name,json=channelName,proto3" json:"channel_name,omitempty"`
	Timestamp   int64     `protobuf:"varint,4,opt,name=timestamp,proto3" json:"timestamp,omitempty"`
	Image       string    `protobuf:"bytes,5,opt,name=image,proto3" json:"image,omitempty"`
	Fence       *Fence    `protobuf:"bytes,6,opt,name=fence,proto3" json:"fence,omitempty"`
	Objects     []*Object `protobuf:"bytes,7,rep,name=objects,proto3" json:"objects,omitempty"`
}

func (x *FenceAlertEvent) Reset() {
	*x = FenceAlertEvent{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[0]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FenceAlertEvent) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FenceAlertEvent) ProtoMessage() {}

func (x *FenceAlertEvent) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[0]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FenceAlertEvent.ProtoReflect.Descriptor instead.
func (*FenceAlertEvent) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{0}
}

func (x *FenceAlertEvent) GetUuid() string {
	if x != nil {
		return x.Uuid
	}
	return ""
}

func (x *FenceAlertEvent) GetChannelUuid() string {
	if x != nil {
		return x.ChannelUuid
	}
	return ""
}

func (x *FenceAlertEvent) GetChannelName() string {
	if x != nil {
		return x.ChannelName
	}
	return ""
}

func (x *FenceAlertEvent) GetTimestamp() int64 {
	if x != nil {
		return x.Timestamp
	}
	return 0
}

func (x *FenceAlertEvent) GetImage() string {
	if x != nil {
		return x.Image
	}
	return ""
}

func (x *FenceAlertEvent) GetFence() *Fence {
	if x != nil {
		return x.Fence
	}
	return nil
}

func (x *FenceAlertEvent) GetObjects() []*Object {
	if x != nil {
		return x.Objects
	}
	return nil
}

// Type:    WebSocket
// Method:  GET
// URL:     /v1/events/fence/query?ws=true
type FenceAlertEventQueryRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	StartTime   int64  `protobuf:"varint,1,opt,name=start_time,json=startTime,proto3" json:"start_time,omitempty"`
	EndTime     int64  `protobuf:"varint,2,opt,name=end_time,json=endTime,proto3" json:"end_time,omitempty"`
	PageNo      int64  `protobuf:"varint,3,opt,name=page_no,json=pageNo,proto3" json:"page_no,omitempty"`
	PageSize    int64  `protobuf:"varint,4,opt,name=page_size,json=pageSize,proto3" json:"page_size,omitempty"`
	Uuid        string `protobuf:"bytes,5,opt,name=uuid,proto3" json:"uuid,omitempty"`
	ChannelUuid string `protobuf:"bytes,6,opt,name=channel_uuid,json=channelUuid,proto3" json:"channel_uuid,omitempty"`
	ChannelName string `protobuf:"bytes,7,opt,name=channel_name,json=channelName,proto3" json:"channel_name,omitempty"`
	Label       string `protobuf:"bytes,8,opt,name=label,proto3" json:"label,omitempty"`
}

func (x *FenceAlertEventQueryRequest) Reset() {
	*x = FenceAlertEventQueryRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[1]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FenceAlertEventQueryRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FenceAlertEventQueryRequest) ProtoMessage() {}

func (x *FenceAlertEventQueryRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[1]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FenceAlertEventQueryRequest.ProtoReflect.Descriptor instead.
func (*FenceAlertEventQueryRequest) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{1}
}

func (x *FenceAlertEventQueryRequest) GetStartTime() int64 {
	if x != nil {
		return x.StartTime
	}
	return 0
}

func (x *FenceAlertEventQueryRequest) GetEndTime() int64 {
	if x != nil {
		return x.EndTime
	}
	return 0
}

func (x *FenceAlertEventQueryRequest) GetPageNo() int64 {
	if x != nil {
		return x.PageNo
	}
	return 0
}

func (x *FenceAlertEventQueryRequest) GetPageSize() int64 {
	if x != nil {
		return x.PageSize
	}
	return 0
}

func (x *FenceAlertEventQueryRequest) GetUuid() string {
	if x != nil {
		return x.Uuid
	}
	return ""
}

func (x *FenceAlertEventQueryRequest) GetChannelUuid() string {
	if x != nil {
		return x.ChannelUuid
	}
	return ""
}

func (x *FenceAlertEventQueryRequest) GetChannelName() string {
	if x != nil {
		return x.ChannelName
	}
	return ""
}

func (x *FenceAlertEventQueryRequest) GetLabel() string {
	if x != nil {
		return x.Label
	}
	return ""
}

type FenceAlertEventQueryResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Events []*FenceAlertEvent `protobuf:"bytes,1,rep,name=events,proto3" json:"events,omitempty"`
	Total  int64              `protobuf:"varint,2,opt,name=total,proto3" json:"total,omitempty"`
	Status *status.Status     `protobuf:"bytes,3,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *FenceAlertEventQueryResponse) Reset() {
	*x = FenceAlertEventQueryResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[2]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FenceAlertEventQueryResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FenceAlertEventQueryResponse) ProtoMessage() {}

func (x *FenceAlertEventQueryResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[2]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FenceAlertEventQueryResponse.ProtoReflect.Descriptor instead.
func (*FenceAlertEventQueryResponse) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{2}
}

func (x *FenceAlertEventQueryResponse) GetEvents() []*FenceAlertEvent {
	if x != nil {
		return x.Events
	}
	return nil
}

func (x *FenceAlertEventQueryResponse) GetTotal() int64 {
	if x != nil {
		return x.Total
	}
	return 0
}

func (x *FenceAlertEventQueryResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  GET
// URL:     /v1/events/fence/latest?number=30
type FenceAlertEventLatest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Events []*FenceAlertEvent `protobuf:"bytes,1,rep,name=events,proto3" json:"events,omitempty"`
	Status *status.Status     `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *FenceAlertEventLatest) Reset() {
	*x = FenceAlertEventLatest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[3]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FenceAlertEventLatest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FenceAlertEventLatest) ProtoMessage() {}

func (x *FenceAlertEventLatest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[3]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FenceAlertEventLatest.ProtoReflect.Descriptor instead.
func (*FenceAlertEventLatest) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{3}
}

func (x *FenceAlertEventLatest) GetEvents() []*FenceAlertEvent {
	if x != nil {
		return x.Events
	}
	return nil
}

func (x *FenceAlertEventLatest) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  DELETE
// URL:     /v1/events/fence
type DeleteFenceAlertEventRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uuids []string `protobuf:"bytes,1,rep,name=uuids,proto3" json:"uuids,omitempty"`
}

func (x *DeleteFenceAlertEventRequest) Reset() {
	*x = DeleteFenceAlertEventRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[4]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteFenceAlertEventRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteFenceAlertEventRequest) ProtoMessage() {}

func (x *DeleteFenceAlertEventRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[4]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteFenceAlertEventRequest.ProtoReflect.Descriptor instead.
func (*DeleteFenceAlertEventRequest) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{4}
}

func (x *DeleteFenceAlertEventRequest) GetUuids() []string {
	if x != nil {
		return x.Uuids
	}
	return nil
}

type DeleteFenceAlertEventResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *status.Status `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *DeleteFenceAlertEventResponse) Reset() {
	*x = DeleteFenceAlertEventResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[5]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *DeleteFenceAlertEventResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*DeleteFenceAlertEventResponse) ProtoMessage() {}

func (x *DeleteFenceAlertEventResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[5]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use DeleteFenceAlertEventResponse.ProtoReflect.Descriptor instead.
func (*DeleteFenceAlertEventResponse) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{5}
}

func (x *DeleteFenceAlertEventResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    RESTful
// Method:  DELETE
// URL:     /v1/events/fence/purge
type PurgeFenceAlertEventResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *status.Status `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *PurgeFenceAlertEventResponse) Reset() {
	*x = PurgeFenceAlertEventResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[6]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *PurgeFenceAlertEventResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*PurgeFenceAlertEventResponse) ProtoMessage() {}

func (x *PurgeFenceAlertEventResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[6]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use PurgeFenceAlertEventResponse.ProtoReflect.Descriptor instead.
func (*PurgeFenceAlertEventResponse) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{6}
}

func (x *PurgeFenceAlertEventResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

// Type:    WebSocket
// Method:  GET
// URL:     /v1/events/fence
type FenceAlertEventNotify struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Event  *FenceAlertEvent `protobuf:"bytes,1,opt,name=event,proto3" json:"event,omitempty"`
	Status *status.Status   `protobuf:"bytes,2,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *FenceAlertEventNotify) Reset() {
	*x = FenceAlertEventNotify{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[7]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FenceAlertEventNotify) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FenceAlertEventNotify) ProtoMessage() {}

func (x *FenceAlertEventNotify) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[7]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FenceAlertEventNotify.ProtoReflect.Descriptor instead.
func (*FenceAlertEventNotify) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{7}
}

func (x *FenceAlertEventNotify) GetEvent() *FenceAlertEvent {
	if x != nil {
		return x.Event
	}
	return nil
}

func (x *FenceAlertEventNotify) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

//
// Type: 	RESTful
// Method: 	POST
// URL: 	/v1/events/fence/image
//
type FenceAlertImageDownloadRequest struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Uuids []string `protobuf:"bytes,1,rep,name=uuids,proto3" json:"uuids,omitempty"`
}

func (x *FenceAlertImageDownloadRequest) Reset() {
	*x = FenceAlertImageDownloadRequest{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[8]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FenceAlertImageDownloadRequest) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FenceAlertImageDownloadRequest) ProtoMessage() {}

func (x *FenceAlertImageDownloadRequest) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[8]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FenceAlertImageDownloadRequest.ProtoReflect.Descriptor instead.
func (*FenceAlertImageDownloadRequest) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{8}
}

func (x *FenceAlertImageDownloadRequest) GetUuids() []string {
	if x != nil {
		return x.Uuids
	}
	return nil
}

type FenceAlertImageDownloadResponse struct {
	state         protoimpl.MessageState
	sizeCache     protoimpl.SizeCache
	unknownFields protoimpl.UnknownFields

	Status *status.Status `protobuf:"bytes,1,opt,name=status,proto3" json:"status,omitempty"`
}

func (x *FenceAlertImageDownloadResponse) Reset() {
	*x = FenceAlertImageDownloadResponse{}
	if protoimpl.UnsafeEnabled {
		mi := &file_v1_events_proto_msgTypes[9]
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		ms.StoreMessageInfo(mi)
	}
}

func (x *FenceAlertImageDownloadResponse) String() string {
	return protoimpl.X.MessageStringOf(x)
}

func (*FenceAlertImageDownloadResponse) ProtoMessage() {}

func (x *FenceAlertImageDownloadResponse) ProtoReflect() protoreflect.Message {
	mi := &file_v1_events_proto_msgTypes[9]
	if protoimpl.UnsafeEnabled && x != nil {
		ms := protoimpl.X.MessageStateOf(protoimpl.Pointer(x))
		if ms.LoadMessageInfo() == nil {
			ms.StoreMessageInfo(mi)
		}
		return ms
	}
	return mi.MessageOf(x)
}

// Deprecated: Use FenceAlertImageDownloadResponse.ProtoReflect.Descriptor instead.
func (*FenceAlertImageDownloadResponse) Descriptor() ([]byte, []int) {
	return file_v1_events_proto_rawDescGZIP(), []int{9}
}

func (x *FenceAlertImageDownloadResponse) GetStatus() *status.Status {
	if x != nil {
		return x.Status
	}
	return nil
}

var File_v1_events_proto protoreflect.FileDescriptor

var file_v1_events_proto_rawDesc = []byte{
	0x0a, 0x0f, 0x76, 0x31, 0x2f, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74,
	0x6f, 0x12, 0x19, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62,
	0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x1a, 0x1e, 0x70, 0x72,
	0x6f, 0x74, 0x6f, 0x2f, 0x67, 0x72, 0x70, 0x63, 0x2f, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2f,
	0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x1a, 0x11, 0x76, 0x31,
	0x2f, 0x67, 0x75, 0x61, 0x72, 0x64, 0x69, 0x61, 0x6e, 0x2e, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x22,
	0x94, 0x02, 0x0a, 0x0f, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x75, 0x69, 0x64, 0x18, 0x01, 0x20, 0x01, 0x28,
	0x09, 0x52, 0x04, 0x75, 0x75, 0x69, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x68, 0x61, 0x6e, 0x6e,
	0x65, 0x6c, 0x5f, 0x75, 0x75, 0x69, 0x64, 0x18, 0x02, 0x20, 0x01, 0x28, 0x09, 0x52, 0x0b, 0x63,
	0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x55, 0x75, 0x69, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x68,
	0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x03, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x4e, 0x61, 0x6d, 0x65, 0x12, 0x1c, 0x0a,
	0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03,
	0x52, 0x09, 0x74, 0x69, 0x6d, 0x65, 0x73, 0x74, 0x61, 0x6d, 0x70, 0x12, 0x14, 0x0a, 0x05, 0x69,
	0x6d, 0x61, 0x67, 0x65, 0x18, 0x05, 0x20, 0x01, 0x28, 0x09, 0x52, 0x05, 0x69, 0x6d, 0x61, 0x67,
	0x65, 0x12, 0x36, 0x0a, 0x05, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x18, 0x06, 0x20, 0x01, 0x28, 0x0b,
	0x32, 0x20, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62,
	0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e,
	0x63, 0x65, 0x52, 0x05, 0x66, 0x65, 0x6e, 0x63, 0x65, 0x12, 0x3b, 0x0a, 0x07, 0x6f, 0x62, 0x6a,
	0x65, 0x63, 0x74, 0x73, 0x18, 0x07, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x21, 0x2e, 0x74, 0x6f, 0x75,
	0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e,
	0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x4f, 0x62, 0x6a, 0x65, 0x63, 0x74, 0x52, 0x07, 0x6f,
	0x62, 0x6a, 0x65, 0x63, 0x74, 0x73, 0x22, 0xfd, 0x01, 0x0a, 0x1b, 0x46, 0x65, 0x6e, 0x63, 0x65,
	0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x51, 0x75, 0x65, 0x72, 0x79, 0x52,
	0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x1d, 0x0a, 0x0a, 0x73, 0x74, 0x61, 0x72, 0x74, 0x5f,
	0x74, 0x69, 0x6d, 0x65, 0x18, 0x01, 0x20, 0x01, 0x28, 0x03, 0x52, 0x09, 0x73, 0x74, 0x61, 0x72,
	0x74, 0x54, 0x69, 0x6d, 0x65, 0x12, 0x19, 0x0a, 0x08, 0x65, 0x6e, 0x64, 0x5f, 0x74, 0x69, 0x6d,
	0x65, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x07, 0x65, 0x6e, 0x64, 0x54, 0x69, 0x6d, 0x65,
	0x12, 0x17, 0x0a, 0x07, 0x70, 0x61, 0x67, 0x65, 0x5f, 0x6e, 0x6f, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x03, 0x52, 0x06, 0x70, 0x61, 0x67, 0x65, 0x4e, 0x6f, 0x12, 0x1b, 0x0a, 0x09, 0x70, 0x61, 0x67,
	0x65, 0x5f, 0x73, 0x69, 0x7a, 0x65, 0x18, 0x04, 0x20, 0x01, 0x28, 0x03, 0x52, 0x08, 0x70, 0x61,
	0x67, 0x65, 0x53, 0x69, 0x7a, 0x65, 0x12, 0x12, 0x0a, 0x04, 0x75, 0x75, 0x69, 0x64, 0x18, 0x05,
	0x20, 0x01, 0x28, 0x09, 0x52, 0x04, 0x75, 0x75, 0x69, 0x64, 0x12, 0x21, 0x0a, 0x0c, 0x63, 0x68,
	0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x5f, 0x75, 0x75, 0x69, 0x64, 0x18, 0x06, 0x20, 0x01, 0x28, 0x09,
	0x52, 0x0b, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x55, 0x75, 0x69, 0x64, 0x12, 0x21, 0x0a,
	0x0c, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x5f, 0x6e, 0x61, 0x6d, 0x65, 0x18, 0x07, 0x20,
	0x01, 0x28, 0x09, 0x52, 0x0b, 0x63, 0x68, 0x61, 0x6e, 0x6e, 0x65, 0x6c, 0x4e, 0x61, 0x6d, 0x65,
	0x12, 0x14, 0x0a, 0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x18, 0x08, 0x20, 0x01, 0x28, 0x09, 0x52,
	0x05, 0x6c, 0x61, 0x62, 0x65, 0x6c, 0x22, 0xa4, 0x01, 0x0a, 0x1c, 0x46, 0x65, 0x6e, 0x63, 0x65,
	0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x51, 0x75, 0x65, 0x72, 0x79, 0x52,
	0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x42, 0x0a, 0x06, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x52, 0x06, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x14, 0x0a, 0x05, 0x74,
	0x6f, 0x74, 0x61, 0x6c, 0x18, 0x02, 0x20, 0x01, 0x28, 0x03, 0x52, 0x05, 0x74, 0x6f, 0x74, 0x61,
	0x6c, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x03, 0x20, 0x01, 0x28,
	0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x87, 0x01,
	0x0a, 0x15, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e,
	0x74, 0x4c, 0x61, 0x74, 0x65, 0x73, 0x74, 0x12, 0x42, 0x0a, 0x06, 0x65, 0x76, 0x65, 0x6e, 0x74,
	0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x0b, 0x32, 0x2a, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63,
	0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e, 0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69,
	0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76,
	0x65, 0x6e, 0x74, 0x52, 0x06, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x73, 0x12, 0x2a, 0x0a, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f,
	0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52,
	0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x34, 0x0a, 0x1c, 0x44, 0x65, 0x6c, 0x65, 0x74,
	0x65, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74,
	0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74, 0x12, 0x14, 0x0a, 0x05, 0x75, 0x75, 0x69, 0x64, 0x73,
	0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52, 0x05, 0x75, 0x75, 0x69, 0x64, 0x73, 0x22, 0x4b, 0x0a,
	0x1d, 0x44, 0x65, 0x6c, 0x65, 0x74, 0x65, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72,
	0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a,
	0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12,
	0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74,
	0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x4a, 0x0a, 0x1c, 0x50, 0x75,
	0x72, 0x67, 0x65, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76, 0x65,
	0x6e, 0x74, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74,
	0x61, 0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f,
	0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06,
	0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x85, 0x01, 0x0a, 0x15, 0x46, 0x65, 0x6e, 0x63, 0x65,
	0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x4e, 0x6f, 0x74, 0x69, 0x66, 0x79,
	0x12, 0x40, 0x0a, 0x05, 0x65, 0x76, 0x65, 0x6e, 0x74, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32,
	0x2a, 0x2e, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2e, 0x70, 0x62, 0x2e,
	0x68, 0x61, 0x77, 0x6b, 0x2e, 0x61, 0x70, 0x69, 0x2e, 0x76, 0x31, 0x2e, 0x46, 0x65, 0x6e, 0x63,
	0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x45, 0x76, 0x65, 0x6e, 0x74, 0x52, 0x05, 0x65, 0x76, 0x65,
	0x6e, 0x74, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x18, 0x02, 0x20, 0x01,
	0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67, 0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e,
	0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73, 0x74, 0x61, 0x74, 0x75, 0x73, 0x22, 0x36,
	0x0a, 0x1e, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41, 0x6c, 0x65, 0x72, 0x74, 0x49, 0x6d, 0x61, 0x67,
	0x65, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61, 0x64, 0x52, 0x65, 0x71, 0x75, 0x65, 0x73, 0x74,
	0x12, 0x14, 0x0a, 0x05, 0x75, 0x75, 0x69, 0x64, 0x73, 0x18, 0x01, 0x20, 0x03, 0x28, 0x09, 0x52,
	0x05, 0x75, 0x75, 0x69, 0x64, 0x73, 0x22, 0x4d, 0x0a, 0x1f, 0x46, 0x65, 0x6e, 0x63, 0x65, 0x41,
	0x6c, 0x65, 0x72, 0x74, 0x49, 0x6d, 0x61, 0x67, 0x65, 0x44, 0x6f, 0x77, 0x6e, 0x6c, 0x6f, 0x61,
	0x64, 0x52, 0x65, 0x73, 0x70, 0x6f, 0x6e, 0x73, 0x65, 0x12, 0x2a, 0x0a, 0x06, 0x73, 0x74, 0x61,
	0x74, 0x75, 0x73, 0x18, 0x01, 0x20, 0x01, 0x28, 0x0b, 0x32, 0x12, 0x2e, 0x67, 0x6f, 0x6f, 0x67,
	0x6c, 0x65, 0x2e, 0x72, 0x70, 0x63, 0x2e, 0x53, 0x74, 0x61, 0x74, 0x75, 0x73, 0x52, 0x06, 0x73,
	0x74, 0x61, 0x74, 0x75, 0x73, 0x42, 0x29, 0x5a, 0x27, 0x67, 0x69, 0x74, 0x6c, 0x61, 0x62, 0x2e,
	0x63, 0x6f, 0x6d, 0x2f, 0x74, 0x6f, 0x75, 0x63, 0x68, 0x63, 0x6c, 0x6f, 0x75, 0x64, 0x2f, 0x70,
	0x62, 0x2f, 0x68, 0x61, 0x77, 0x6b, 0x2f, 0x61, 0x70, 0x69, 0x2f, 0x76, 0x31, 0x3b, 0x76, 0x31,
	0x62, 0x06, 0x70, 0x72, 0x6f, 0x74, 0x6f, 0x33,
}

var (
	file_v1_events_proto_rawDescOnce sync.Once
	file_v1_events_proto_rawDescData = file_v1_events_proto_rawDesc
)

func file_v1_events_proto_rawDescGZIP() []byte {
	file_v1_events_proto_rawDescOnce.Do(func() {
		file_v1_events_proto_rawDescData = protoimpl.X.CompressGZIP(file_v1_events_proto_rawDescData)
	})
	return file_v1_events_proto_rawDescData
}

var file_v1_events_proto_msgTypes = make([]protoimpl.MessageInfo, 10)
var file_v1_events_proto_goTypes = []interface{}{
	(*FenceAlertEvent)(nil),                 // 0: touchcloud.pb.hawk.api.v1.FenceAlertEvent
	(*FenceAlertEventQueryRequest)(nil),     // 1: touchcloud.pb.hawk.api.v1.FenceAlertEventQueryRequest
	(*FenceAlertEventQueryResponse)(nil),    // 2: touchcloud.pb.hawk.api.v1.FenceAlertEventQueryResponse
	(*FenceAlertEventLatest)(nil),           // 3: touchcloud.pb.hawk.api.v1.FenceAlertEventLatest
	(*DeleteFenceAlertEventRequest)(nil),    // 4: touchcloud.pb.hawk.api.v1.DeleteFenceAlertEventRequest
	(*DeleteFenceAlertEventResponse)(nil),   // 5: touchcloud.pb.hawk.api.v1.DeleteFenceAlertEventResponse
	(*PurgeFenceAlertEventResponse)(nil),    // 6: touchcloud.pb.hawk.api.v1.PurgeFenceAlertEventResponse
	(*FenceAlertEventNotify)(nil),           // 7: touchcloud.pb.hawk.api.v1.FenceAlertEventNotify
	(*FenceAlertImageDownloadRequest)(nil),  // 8: touchcloud.pb.hawk.api.v1.FenceAlertImageDownloadRequest
	(*FenceAlertImageDownloadResponse)(nil), // 9: touchcloud.pb.hawk.api.v1.FenceAlertImageDownloadResponse
	(*Fence)(nil),                           // 10: touchcloud.pb.hawk.api.v1.Fence
	(*Object)(nil),                          // 11: touchcloud.pb.hawk.api.v1.Object
	(*status.Status)(nil),                   // 12: google.rpc.Status
}
var file_v1_events_proto_depIdxs = []int32{
	10, // 0: touchcloud.pb.hawk.api.v1.FenceAlertEvent.fence:type_name -> touchcloud.pb.hawk.api.v1.Fence
	11, // 1: touchcloud.pb.hawk.api.v1.FenceAlertEvent.objects:type_name -> touchcloud.pb.hawk.api.v1.Object
	0,  // 2: touchcloud.pb.hawk.api.v1.FenceAlertEventQueryResponse.events:type_name -> touchcloud.pb.hawk.api.v1.FenceAlertEvent
	12, // 3: touchcloud.pb.hawk.api.v1.FenceAlertEventQueryResponse.status:type_name -> google.rpc.Status
	0,  // 4: touchcloud.pb.hawk.api.v1.FenceAlertEventLatest.events:type_name -> touchcloud.pb.hawk.api.v1.FenceAlertEvent
	12, // 5: touchcloud.pb.hawk.api.v1.FenceAlertEventLatest.status:type_name -> google.rpc.Status
	12, // 6: touchcloud.pb.hawk.api.v1.DeleteFenceAlertEventResponse.status:type_name -> google.rpc.Status
	12, // 7: touchcloud.pb.hawk.api.v1.PurgeFenceAlertEventResponse.status:type_name -> google.rpc.Status
	0,  // 8: touchcloud.pb.hawk.api.v1.FenceAlertEventNotify.event:type_name -> touchcloud.pb.hawk.api.v1.FenceAlertEvent
	12, // 9: touchcloud.pb.hawk.api.v1.FenceAlertEventNotify.status:type_name -> google.rpc.Status
	12, // 10: touchcloud.pb.hawk.api.v1.FenceAlertImageDownloadResponse.status:type_name -> google.rpc.Status
	11, // [11:11] is the sub-list for method output_type
	11, // [11:11] is the sub-list for method input_type
	11, // [11:11] is the sub-list for extension type_name
	11, // [11:11] is the sub-list for extension extendee
	0,  // [0:11] is the sub-list for field type_name
}

func init() { file_v1_events_proto_init() }
func file_v1_events_proto_init() {
	if File_v1_events_proto != nil {
		return
	}
	file_v1_guardian_proto_init()
	if !protoimpl.UnsafeEnabled {
		file_v1_events_proto_msgTypes[0].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FenceAlertEvent); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[1].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FenceAlertEventQueryRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[2].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FenceAlertEventQueryResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[3].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FenceAlertEventLatest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[4].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteFenceAlertEventRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[5].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*DeleteFenceAlertEventResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[6].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*PurgeFenceAlertEventResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[7].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FenceAlertEventNotify); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[8].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FenceAlertImageDownloadRequest); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
		file_v1_events_proto_msgTypes[9].Exporter = func(v interface{}, i int) interface{} {
			switch v := v.(*FenceAlertImageDownloadResponse); i {
			case 0:
				return &v.state
			case 1:
				return &v.sizeCache
			case 2:
				return &v.unknownFields
			default:
				return nil
			}
		}
	}
	type x struct{}
	out := protoimpl.TypeBuilder{
		File: protoimpl.DescBuilder{
			GoPackagePath: reflect.TypeOf(x{}).PkgPath(),
			RawDescriptor: file_v1_events_proto_rawDesc,
			NumEnums:      0,
			NumMessages:   10,
			NumExtensions: 0,
			NumServices:   0,
		},
		GoTypes:           file_v1_events_proto_goTypes,
		DependencyIndexes: file_v1_events_proto_depIdxs,
		MessageInfos:      file_v1_events_proto_msgTypes,
	}.Build()
	File_v1_events_proto = out.File
	file_v1_events_proto_rawDesc = nil
	file_v1_events_proto_goTypes = nil
	file_v1_events_proto_depIdxs = nil
}
